## Apache Zeta Components Manual :: Docs For Class ezcDocumentXsltConverterOptions

### Document::ezcDocumentXsltConverterOptions

### Class ezcDocumentXsltConverterOptions

Class containing the basic options for the ezcDocumentEzp3Xml class

Source for this file: /Document/src/options/converter_xslt.php

    ezcBaseOptions
       |
       --ezcDocumentConverterOptions
          |
          --ezcDocumentXsltConverterOptions

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentDocbookToHtmlXsltConverterOptions | Class containing the basic options for the docbook to HTMl conversion.

### Properties

boolean | read/write | `$failOnError` Boolean indicator if the conversion should be aborted, when errors occurs with an exception, or if the errors just should be ignored.
array | read/write | `$parameters` List of aparameters for the XSLT transformation. Parameters are given as array, with the structure array( 'namespace' => array( 'option' => 'value' ) ), where namespace may also be an empty string.
string | read/write | `$xslt` Path to XSLT, which should be used for the conversion.

### Inherited Member Variables

From ezcDocumentConverterOptions
protected | `ezcDocumentConverterOptions::$properties`

### Method Summary

public ezcDocumentXsltConverterOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcDocumentXsltConverterOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentDocbookToHtmlXsltConverterOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3